#!/bin/sh
# Copyright (C) 2015 Avencall
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

set -e

VERSION=$(cat VERSION)
FILENAME=celery-${VERSION}.orig.tar.gz
URL="https://pypi.python.org/packages/source/c/celery/celery-${VERSION}.tar.gz"
rm -rf tmp
mkdir tmp
cd tmp

wget -nv "${URL}"
if ! md5sum --status -c ../md5sum ; then
    echo "md5sum did not match" >&2
    exit 1
fi
mv "celery-${VERSION}.tar.gz" "${FILENAME}"
tar xf "${FILENAME}"

cd ..
rsync -av "tmp/celery-${VERSION}/" .
